/* Réglages généraux pour occuper toute la page */
html, body { 
    height: 100%;
    width: 100%;
}

/* Style global du body fond, police et display */
body {
    margin: 0;
    background: #DCD5C5;
    font-family: "Segoe UI";
    display: flex;
    height: 100%;
}

/* Barre de navigation latérale
    - met la bonne longueur par rapport à l'écran et de bonne couleur de fond */

nav {
    background-color: #DCD5C5;
    width: 25%;
    border: 3px solid black;
    padding: 20px;
    height: 95%; 
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}

/* Image de profil dans la navigation 
    - met l'image en 120x120 
    - arrondis l'image */
nav img {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    border: 4px solid #423B35;
    text-align: center;
    margin-bottom: 20px;
}

/* Boutons du menu :
    - sont en gras
    - se mettent les un sous les autres */
nav button {
    background-color: #CBB8A9;
    border: 2px solid black;
    padding: 10px;
    margin: 10px 0;
    text-align: center;
    font-weight: bold;
    display: block;
    width: 100%;
    box-sizing: border-box;
}

/* Zone principale de contenu :
   - occupe tout l’espace restant 
   - ajoute un espacement intérieur */
.content {
    padding: 15px;
    width: 100%;
}

/* Images affichées dans le contenu :
   - alignées horizontalement en 220x300
   - encadrées avec un fond coloré comme .rectangle
   - taille fixe */
.content img{
    margin-top: 5px;
    display: inline-block;
    border: 3px solid black;
    margin-left: 100px;
    padding: 15px;
    background: #B8B997;
    border-radius: 10px;
    width: 220px;
    height: 300px;
}

/* Titres principaux avec une police différente */
body h1 {
    text-align: center;
    font-family: Times;
} 

/* Bloc rectangulaire :
   - sert de conteneur pour du contenu ou des icônes avec le fond vert pùale
   - possède une bordure noire
   - fond coloré avec coins arrondis */
.rectangle {
    margin-top: 5px;
    display: inline-block;
    border: 3px solid black;
    padding: 15px;
    background: #B8B997;
    border-radius: 10px;
}

/* Icônes dans les rectangles :
   - petites images décoratives
   - sans bordure car .content img en met donc on désactive 
   - centrees */
.rectangle img{
    margin-left: 1px;
    margin-top: 5px;
    display: inline-block;
    border: none;
    padding: 15px;
    background: #B8B997;
    border-radius: 10px;
    width: 33px;
    height: 33px;
}
